build:
  image: registry.gitlab.com/archlinux-aur/docker-archlinux:latest
  stage: build
  before_script:
    - pacman -Suyy --noconfirm --noprogressbar
    - chown build:build . -R
  script:
    - sudo -u build -- makepkg -s --noconfirm --noprogressbar
  artifacts:
    paths:
      - "*.pkg.tar.xz"

trigger-repository-build:
  image: registry.gitlab.com/archlinux-aur/docker-alpine:latest
  stage: deploy
  variables:
    GIT_STRATEGY: none
  dependencies: []
  script:
    - curl -s -S -f -o /dev/null --request POST --form "token=$CI_JOB_TOKEN" --form ref=master https://gitlab.com/api/v4/projects/archlinux-pkg%2Frepository/trigger/pipeline
  allow_failure: true



